% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calculateEvents.R
\name{calculateEvents}
\alias{calculateEvents}
\title{Calculate UPD events in trio VCFs.}
\usage{
calculateEvents(largecollapsedVcf = NULL, hmm = "hmm", genotypes = NULL)
}
\arguments{
\item{largecollapsedVcf}{The VCF file in the general format}

\item{hmm}{hmm constructed for identifying hidden states}

\item{genotypes}{Possible GT formats and its correspondency with the hmm
(largecollapsedVcf) with VariantAnnotation package.}
}
\value{
Dataframe object containing blocks of predicted events.
}
\description{
This function predicts the hidden states by applying the Viterbi algorithm
using the Hidden Markov Model (HMM) from the UPDhmm package. It takes the
genotypes of the trio as input and includes a final step to simplify the
results into blocks.
}
\examples{
file <- system.file(package = "UPDhmm", "extdata", "test_het_mat.vcf.gz")
vcf <- VariantAnnotation::readVcf(file)
processedVcf <- vcfCheck(vcf,proband = "NA19675",mother = "NA19678",
father = "NA19679")

calculateEvents(processedVcf)
}
